diff -Naur a/base/commands.c b/base/commands.c
--- a/base/commands.c	2011-07-26 02:16:13.000000000 +0200
+++ b/base/commands.c	2011-07-28 14:04:40.772305576 +0200
@@ -3526,17 +3526,47 @@
 	/* set the modified attributes and update the status of the object */
 	switch(cmd) {
 		case CMD_CHANGE_CUSTOM_HOST_VAR:
+
+			/* set the modified host attribute */
 			temp_host->modified_attributes |= MODATTR_CUSTOM_VARIABLE;
+
+#ifdef USE_EVENT_BROKER
+			/* send data to event broker */
+			broker_adaptive_host_data(NEBTYPE_ADAPTIVEHOST_UPDATE, NEBFLAG_NONE, NEBATTR_NONE, temp_host, cmd, MODATTR_CUSTOM_VARIABLE, temp_host->modified_attributes, NULL);
+#endif
+
+			/* update the status log with the host info */
 			update_host_status(temp_host, FALSE);
 			break;
+
 		case CMD_CHANGE_CUSTOM_SVC_VAR:
+
+			/* set the modified service attribute */
 			temp_service->modified_attributes |= MODATTR_CUSTOM_VARIABLE;
+
+#ifdef USE_EVENT_BROKER
+			/* send data to event broker */
+			broker_adaptive_service_data(NEBTYPE_ADAPTIVESERVICE_UPDATE, NEBFLAG_NONE, NEBATTR_NONE, temp_service, cmd, MODATTR_CUSTOM_VARIABLE, temp_service->modified_attributes, NULL);
+#endif
+
+			/* update the status log with the service info */
 			update_service_status(temp_service, FALSE);
 			break;
+
 		case CMD_CHANGE_CUSTOM_CONTACT_VAR:
+
+			/* set the modified contact attribute */
 			temp_contact->modified_attributes |= MODATTR_CUSTOM_VARIABLE;
+
+#ifdef USE_EVENT_BROKER
+			/* send data to event broker */
+			broker_adaptive_contact_data(NEBTYPE_ADAPTIVECONTACT_UPDATE, NEBFLAG_NONE, NEBATTR_NONE, temp_contact, cmd, MODATTR_CUSTOM_VARIABLE, temp_contact->modified_attributes, MODATTR_NONE, temp_contact->modified_host_attributes, MODATTR_NONE, temp_contact->modified_service_attributes, NULL);
+#endif
+
+			/* update the status log with the contact info */
 			update_contact_status(temp_contact, FALSE);
 			break;
+
 		default:
 			break;
 		}
